Subject: Re: bug#25978: 25.1; Message from `text-scale-adjust' is shown in other frames too

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Mar 2017 18:28:55 +0200

> Date: Sun, 5 Mar 2017 08:56:41 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > Here I see it only in the frame where I invoked "C-x -".
> > 
> > After you see it there, click the title bar of the other frame,
> > to select it.  The message is moved to that (selected) frame's
> > echo area.  But using +, 0, or - in that frame does not have
> > the effect of the message.  That frame shows a different buffer,
> > so +, 0, or - there is governed by the keymap of that buffer's
> > frame.
> 
> Not sure what should happen instead (i.e., the proper fix).

As long as "C-x C--" uses 'message' to display these instructions,
nothing can be done, because what you see is the usual behavior of
messages displayed in the echo area: they follow the selected frame.

Perhaps the frame-switch event should simply empty the echo area.
Patches to that effect are welcome.